﻿using System.Collections.ObjectModel;

namespace TestProject
{
    /// <summary>
    /// 제품 리스트
    /// </summary>
    public class ProductList
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 데이터 구하기 - GetData()

        /// <summary>
        /// 데이터 구하기
        /// </summary>
        /// <returns>제품 컬렉션</returns>
        public ObservableCollection<Product> GetData()
        {
            ObservableCollection<Product> pCollection = new ObservableCollection<Product>();

            pCollection.Add(new Product() { ProductName = "Chang"         , Country = "UK"     , City = "Cowes"         , UnitPrice = 19  , Quantity = 10  });
            pCollection.Add(new Product() { ProductName = "Gravad lax"    , Country = "Italy"  , City = "Reggio Emilia" , UnitPrice = 12.5, Quantity = 16  });
            pCollection.Add(new Product() { ProductName = "Ravioli Angelo", Country = "Brazil" , City = "Rio de Janeiro", UnitPrice = 19  , Quantity = 12  });
            pCollection.Add(new Product() { ProductName = "Tarte au sucre", Country = "Germany", City = "QUICK-Stop"    , UnitPrice = 22  , Quantity = 50  });
            pCollection.Add(new Product() { ProductName = "Steeleye Stout", Country = "USA"    , City = "Reggio Emilia" , UnitPrice = 18  , Quantity = 20  });
            pCollection.Add(new Product() { ProductName = "Pavlova"       , Country = "Austria", City = "Graz"          , UnitPrice = 21  , Quantity = 52  });
            pCollection.Add(new Product() { ProductName = "Longlife Tofu" , Country = "USA"    , City = "Boise"         , UnitPrice = 7.75, Quantity = 120 });
            pCollection.Add(new Product() { ProductName = "Alice Mutton"  , Country = "Mexico" , City = "México D.F."   , UnitPrice = 21  , Quantity = 15  });
            pCollection.Add(new Product() { ProductName = "Alice Mutton"  , Country = "Canada" , City = "Tsawwassen"    , UnitPrice = 44  , Quantity = 16  });

            return pCollection;
        }

        #endregion
    }
}